"program is still running: ubuntu one file synchronization in progress" at logout

Bug #764057 reported by Martin Pool
This bug report is a duplicate of:  Bug #737620: SyncDaemon prevents logout/shutdown. Edit Remove
78
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Ubuntu One Client Engineering team
ubuntuone-client (Ubuntu)
High
Ubuntu One Client Engineering team

Bug Description

Binary package hint: ubuntuone-client

Every time I try to log out of natty, I get a dialog saying "A program is still running: Ubuntu One File synchronization in progress."

Bug 730020 says that blocking logout until synchronization is complete is intentional, "so people don't shut off their computers assuming everything has been backed up."

I see your point, however there are problems here:

* I have not changed any files in my u1 directory for several days, and I have a multi-megabit connection, and my machine's been on for three hours so it's not very reasonable it hasn't finished syncing yet.
* There's no obvious way to see what if anything is happening or how long it will take.
* The dialog says "Interrupting the program may cause you to lose work", which if true would be pretty awful. I can accept my work temporarily not being backed up, but this implies it could be corrupted.
* To judge from my syncdaemon log, nothing is happening:

2011-04-18 08:55:19,240 - ubuntuone.SyncDaemon.Main - NOTE - ---- MARK (state: <State: 'READY' (queues WORKING connection 'Not User With Network')>; queue: 3; hash: 0) ----
2011-04-18 08:57:19,240 - ubuntuone.SyncDaemon.Main - NOTE - ---- MARK (state: <State: 'READY' (queues WORKING connection 'Not User With Network')>; queue: 3; hash: 0) ----
2011-04-18 08:59:19,240 - ubuntuone.SyncDaemon.Main - NOTE - ---- MARK (state: <State: 'READY' (queues WORKING connection 'Not User With Network')>; queue: 3; hash: 0) ----

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: ubuntuone-client 1.6.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Mon Apr 18 08:51:38 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/lib/ubuntuone-client/ubuntuone-syncdaemon
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcEnviron:
 SHELL=/bin/zsh
 LANGUAGE=en_AU:en
 LANG=en_AU.UTF-8
SourcePackage: ubuntuone-client
UbuntuOneSyncdaemonExceptionsLog:
 2011-04-18 07:09:19,945 - twisted - ERROR - Unhandled error in Deferred:
 2011-04-18 07:09:19,945 - twisted - ERROR - Unhandled Error
 Traceback (most recent call last):
 Failure: ubuntuone.platform.linux.dbus_interface.NoAccessToken: CredentialsNotFound
UbuntuOneUserSyncdaemonConfig:
 [bandwidth_throttling]
 read_limit = 2097152
 write_limit = 2097152
 on = False
UpgradeStatus: Upgraded to natty on 2010-12-21 (117 days ago)

Revision history for this message
Martin Pool (mbp) wrote :
Revision history for this message
Martin Pool (mbp) wrote :

When i start the u1 control panel, it invites me to log in. It has apparently lost the credentials for this machine? If that's true, why is it blocking shutdown? Waiting is hardly going to help.

Revision history for this message
Martin Pool (mbp) wrote :

After reauthenticating, I get a 'file sync in progress' and some traffic in the log, but the sync doesn't seem to complete and it's still blocking shutdown.

Revision history for this message
Martin Pool (mbp) wrote :

Just after I typed that, the sync completed and the machine shut down with no further warning.

So the essence of this bug is: please don't block shutdown because the client has become unauthorized. Show a warning, or do nothing, but blocking shutdown is pointlessly annoying.

Revision history for this message
Roman Yepishev (rye) wrote :

In your case the client was in READY state, i.e. not connected at all; therefore it was not synchronizing and logging out would not have changed anything.

STR:
1. Disconnect syncdaemon
2. Put a new file to Ubuntu One folder
3. Try to log out

Expected results: I am logged out
Actual results: A dialog pops up telling me that an application is running and _file synchronization is in progress_. No it is not.

Changed in ubuntuone-client (Ubuntu):
status: New → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
importance: Undecided → Medium
Changed in ubuntuone-client:
status: New → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Changed in ubuntuone-client:
importance: Undecided → Medium
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → Eric Casteleijn (thisfred)
importance: Medium → High
status: Confirmed → Triaged
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Triaged
importance: Medium → High
Changed in ubuntuone-client:
status: Triaged → In Progress
Revision history for this message
Alejandro J. Cura (alecu) wrote :

If ubuntuone disconnects, and we disable the inhibition we are acting just as if synchronization was completed, meaning the user will think his files have finished transferring.
Because of this I'm opposed to hiding the progressbar and disable logout inhibition on disconnects.

Revision history for this message
dobey (dobey) wrote :

I don't think we should avoid doing the logout/shutdown inhibit as a solution. If the UI sucks, we need to fix the UI, not break the feature by trying to special case complex scenarios.

The wording could probably be better, among other things. We should update it to say how much work is pending, and be a bit more informational, and perhaps less alsarming, unless it is called for.

Changed in ubuntuone-client:
status: In Progress → Confirmed
status: Confirmed → Triaged
Revision history for this message
Martin Pool (mbp) wrote : Re: [Bug 764057] Re: "program is still running: ubuntu one file synchronization in progress" at logout

On 20 April 2011 05:32, Rodney Dawes <email address hidden> wrote:
> I don't think we should avoid doing the logout/shutdown inhibit as a
> solution. If the UI sucks, we need to fix the UI, not break the feature
> by trying to special case complex scenarios.
>
> The wording could probably be better, among other things. We should
> update it to say how much work is pending, and be a bit more
> informational, and perhaps less alsarming, unless it is called for.

I would like to see is a specific dialog saying with something like this:

 Your changes in the last 4 minutes have not been backed up to Ubuntu One.

  [progress bar]

 You can keep waiting or
 [Shut down now anyhow]

I realize that's a bit harder than the generic gnome-session dialog.

Revision history for this message
dobey (dobey) wrote :

On Tue, 2011-04-19 at 23:10 +0000, Martin Pool wrote:
> I would like to see is a specific dialog saying with something like
> this:
>
> Your changes in the last 4 minutes have not been backed up to Ubuntu
> One.
>
> [progress bar]
>
> You can keep waiting or
> [Shut down now anyhow]
>
> I realize that's a bit harder than the generic gnome-session dialog.

Right. So the way session logout inhibit works is a simple DBus call,
and we have no control over the UI. To fix this right, we'd probably
need to improve that API and get some proper design for the UI which is
being opened up by gnome-session.

We certainly can't change this in 11.04 at this point, but perhaps it is
something we can get Design/DX to look at improving for 11.10, so that
we can take advantage of those changes in U1.

Revision history for this message
Omega Soemarso (omega-winfos) wrote :

Got the same problem

Changed in ubuntuone-client:
assignee: Eric Casteleijn (thisfred) → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Revision history for this message
Matt C (proteus400) wrote :

The fundamental problem is that the sync daemon either doesn't start properly or fails, so there are waiting uploads stuck in the queue, which remain on logout.

I get this on all of my Ubuntu 11.04 clients.

I've tried "Logout anyway" and you are left with unsync'd changes.

To diagnose and work around I have to run this when I start working on files and check the status again on the command-line when I've finished working on files:

  # Status command will probably tell you that files are uploading or waiting upload, but nothing is happening
  u1sdtool --status

  # How many items are awaiting upload?
  u1sdtool --waiting | wc -l

  85

  # Start file sync daemon that seems to have failed
  u1sdtool --start

  # Keep running 'how many items are awaiting upload?' and watch it gradually (slowly) decrease to zero
  u1sdtool --waiting | wc -l
  u1sdtool --waiting | wc -l
  u1sdtool --waiting | wc -l

  # Status should now show IDLE and you will get notification that files are uploaded
  u1sdtool --status

This sucks

tags: added: synchronization
Revision history for this message
Omega Soemarso (omega-winfos) wrote :

The problem in my case was resolved when I upgraded my memory from 512Mb to 1024 Gb.
Now i have ugraded to ubuntu 11.10, so far no problems detected.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

I got this dialog even with "u1sdtool --waiting" outputing nothing and:

$ u1sdtool --status
State: QUEUE_MANAGER
    connection: With User With Network
    description: processing the commands pool
    is_connected: True
    is_error: False
    is_online: True
    queues: IDLE

tags: added: precise
Revision history for this message
dobey (dobey) wrote :

Marius, you are seeting bug #961342 most likely, which will be fixed in an upload that will happen in the next few hours.

Revision history for this message
Jani Uusitalo (uusijani) wrote :

Here's why this is broken: logging out != shutting down. Why does the sync block logout instead of continuing in the background, and just blocking any attempts to *actually* shut down? The way it currently is makes it impractical to use U1 to sync my users' config, because they're blocked from fast user switching by the wait on every logout.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers